SQ_AddQueue

View as Markdown

Adds a new queue.

Example request: Add a new queue.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

application_idintegerRequired
Application ID to bind to
application_namestringOptional

Application name to bind to. Can be used instead of application_id

sq_queue_namestringRequired
Unique SmartQueue name within the application, up to 100 characters
hold_im_if_inactive_agentsbooleanOptional
Whether to add the task to the queue if there are no available agents
call_agent_selectionstringRequired

Agent selection strategy for calls. Accepts one of the following values: “MOST_QUALIFIED”, “LEAST_QUALIFIED”, “MAX_WAITING_TIME”

im_agent_selectionstringOptional

Agent selection strategy for messages. Accepts one of the following values: “MOST_QUALIFIED”, “LEAST_QUALIFIED”, “MAX_WAITING_TIME”. The default value is call_agent_selection

call_task_selectionstringRequired

Call type requests prioritizing strategy. Accepts one of the [SQTaskSelectionStrategies] enum values

im_task_selectionstringOptional

IM type requests prioritizing strategy. Accepts one of the [SQTaskSelectionStrategies] enum values. The default value is call_task_selection

hold_calls_if_inactive_agentsbooleanOptionalDefaults to false

Whether to keep the call task in the queue if all agents are in the DND/BANNED/OFFLINE statuses.

descriptionstringOptional
Comment, up to 200 characters
call_max_waiting_timeintegerOptionalDefaults to 120

Maximum time in minutes that a CALL-type request can remain in the queue without being assigned to an agent. Specify either this parameter or call_max_waiting_time_in_seconds. Specifying both parameters simultaniously leads to an error

im_max_waiting_timeintegerOptionalDefaults to 120

Maximum time in minutes that an IM-type request can remain in the queue without being assigned to an agent. Specify either this parameter or im_max_waiting_time_in_seconds. Specifying both parameters simultaniously leads to an error

call_max_queue_sizeintegerOptionalDefaults to 1000

Maximum size of the queue with CALL-type requests

im_max_queue_sizeintegerOptionalDefaults to 1000

Maximum size of the queue with IM-type requests

priorityintegerOptionalDefaults to 10
The queue's priority from 1 to 100
call_max_waiting_time_in_secondsintegerOptional

Maximum call waiting time in seconds. Specify either this parameter or call_max_waiting_time. Specifying both parameters simultaniously leads to an error

im_max_waiting_time_in_secondsintegerOptional

Maximum chat message waiting time in seconds. Specify either this parameter or im_max_waiting_time. Specifying both parameters simultaniously leads to an error

Response

Successful response
resultobject
Result with ID of the added queue